function HeatProblem = HP_PostSol(HeatProblem)
%Boundary values for left and right boundaries
    HeatProblem.Solution.uLeft = HeatProblem.Solution.U(1);
    HeatProblem.Solution.uRight = HeatProblem.Solution.U(end);
    
    %Fluxes values for left and right boundaries
    h = HeatProblem.Solution.coord(2)-HeatProblem.Solution.coord(1);
    %Left boundary
    gradu = -1/h*HeatProblem.Solution.U(1)+1/h*HeatProblem.Solution.U(2);
    HeatProblem.Solution.FluxesLeft = -HeatProblem.Data.kappa*gradu;
    
    %Right boundary
    gradu = -1/h*HeatProblem.Solution.U(end-1)+1/h*HeatProblem.Solution.U(end);
    HeatProblem.Solution.FluxesRight = HeatProblem.Data.kappa*gradu;